package com.palmnest.service.hdrepair.manager.impl;

import com.palmnest.dao.estateserve.UserRepairDao;
import com.palmnest.model.estateserve.UserRepairAccount;
import com.palmnest.service.hdrepair.manager.UserRepairManager;
import com.palmnest.service.impl.GenericManagerImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by HIAPAD on 2018/11/1.
 */
@Service("userRepairManager")
public class UserRepairManagerImpl extends GenericManagerImpl<UserRepairAccount, Long> implements UserRepairManager {

	private UserRepairDao userRepairDao;

	@Autowired
	public void setUserRepairDao(UserRepairDao userRepairDao) {
		this.userRepairDao = userRepairDao;
		this.dao = userRepairDao;
	}

	@Override
	public UserRepairAccount checkUserRegister(String orgId, String openId) {
		return userRepairDao.checkUserRegister(orgId, openId);
	}

	@Override
	public UserRepairAccount checkMobile(String orgId, String openId, String mobile) {
		return userRepairDao.checkMobile(orgId, openId, mobile);
	}

	@Override
	public UserRepairAccount getUserByUserCode(String userCode) {
		return userRepairDao.getUserByUserCode(userCode);
	}
}
